export const SearchFormBuyOrder = [
  {
    type: "input",
    label: "订单编号",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "审核状态",
    field: "moderationStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "orderType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "客户名称",
    field: "userName",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "沉默期",
    field: "periodOfSilence",
    options: [], // 默认空，后面会通过字典加载
    dict: "silenceOf",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "卡类型",
    field: "simType",
    options: [], // 默认空，后面会通过字典加载
    dict: "cardType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "运营商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "下单时间",
    field: "createdAt",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endData",
    value: "", // 双向绑定的值
    width: "200",
  },
];

// 购卡订单
export const BuyOrdercolumns = [
  { title: window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title: window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title: window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title: window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title: window.$t('order.SilentPeriod') + (window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title: window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title: window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title: '套餐计划名称', dataIndex: 'terminalName', align: 'center', ellipsis: true },
  { title: '套餐计划类型', dataIndex: 'type', align: 'center', ellipsis: true },
  { title: window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title: window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true, fixed: 'right', },
];

// 退卡订单
export const Returncolumns = [
  { title: window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title: window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title: window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title: window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title: window.$t('order.SilentPeriod') + (window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title: window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title: window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title: window.$t('order.tariff'), dataIndex: 'trafficName', align: 'center', ellipsis: true },
  { title: window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title: window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true, fixed: 'right', }
];

// 变更订单
export const ChangeOrdercolumns = [
  { title: window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title: window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title: window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title: window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title: window.$t('order.SilentPeriod') + (window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title: window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title: window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title: window.$t('order.tariff'), dataIndex: 'trafficName', align: 'center', ellipsis: true },
  { title: window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title: window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title: window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title: window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true, fixed: 'right', },
];


// 提现管理
export const SearchFormWithdrawalManagement = [
  {
    type: "input",
    label: "订单编号",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "提现币种",
    field: "moderationStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "currencyType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "提现状态",
    field: "moderationStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "转账方式",
    field: "periodOfSilence",
    options: [], // 默认空，后面会通过字典加载
    dict: "",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "申请时间",
    field: "createdAt",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "审核时间",
    field: "createdAt",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "结算时间",
    field: "endData",
    value: "", // 双向绑定的值
    width: "200",
  },
]


export const WithdrawalManagement = [
  { title: '流水ID', dataIndex: 'index', align: 'center', ellipsis: true },
  { title: '提现币种', slotName: 'id', align: 'center', ellipsis: true },
  { title: '申请提现金额', slotName: 'statusType', align: 'center', ellipsis: true },
  { title: '提现手续费', slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title: '提现实收金额', dataIndex: 'userName', align: 'center', ellipsis: true },
  { title: '汇率', dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title: '实付金额', dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title: '实付手续费', dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title: '实付金额', dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title: '提现状态', dataIndex: 'trafficName', align: 'center', ellipsis: true },
  { title: '申请时间', dataIndex: 'amount', align: 'center', ellipsis: true },
  { title: '审核时间', slotName: 'image', align: 'center', ellipsis: true },
  { title: '转账方式', dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title: '结算时间', dataIndex: 'endDate', align: 'center', ellipsis: true },
]
